@echo off
cls

rem **********************************************************************
rem * BATCH FILE TO CONVERT THE SVGAPB.PBL LIBRARY FOR POWER BASIC V3.2  *
rem * AND BELOW TO THE NEW POWER BASIC 3.5 AND ABOVE FORMAT              *
rem *                                                                    *
rem * COPYRIGHT 1997 BY ZEPHYR SOFTWARE                                  *
rem *                                                                    *
rem * !!!! NO WARRANTIES EXPRESSED OR IMPLIED - USE AT YOUR OWN RISK!!!! *
rem **********************************************************************
rem
@echo.
@echo SVGAPBUP v.91
@echo.
@echo BATCH FILE TO CONVERT THE SVGAPB.PBL LIBRARY FOR POWER BASIC V3.2
@echo AND BELOW TO THE NEW POWER BASIC 3.5 AND ABOVE FORMAT.
@echo.
@echo.
@echo.             
@echo HAVE YOU READ THE README.TXT FILE? IF NOT TYPE CONTROL-C TO EXIT NOW!!

rem **********************************************************************
rem * GIVE THE USER A CHANCE TO BREAK OUT                                *
rem **********************************************************************
@pause

rem **********************************************************************
rem * RENAME THE OLD FILE                                                *
rem **********************************************************************
ren svgapb.pbl svgapbx.pbl

rem **********************************************************************
rem * EXTRACT THE .OBJ FILES USING THE OLD LIBRARY MANAGER               *
rem **********************************************************************
pblib < old.lrf

rem **********************************************************************
rem * INSERT THEM INTO THE NEW LIBRARY USING THE NEW LIBRARY MANAGER     *
rem **********************************************************************
pbtlib svgapb.pbl @new.lrf

rem **********************************************************************
rem * REMOVE THE .OBJ FILES                                              *
rem **********************************************************************
del *.obj


@echo.
@echo.             
@echo DONE!
@echo.             
@echo YOUR ORIGINAL SVGAPB.PBL FILE WAS RENAMED TO SVGAPBX.PBL AND A NEW
@echo SVGAPB.PBL WAS CREATED AND SHOULD BE COMPATIABLE WITH PB 3.5 AND LATER.

